Skip to main content

FIFA Women's World Cup — ESPN core API (v2) — Game

espn_wwc_game_competition​

ESPN endpoint.

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/{event_id}/competitions/{cid}

Valid URL: https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/401584793/competitions/401584793

API ParameterPythonPatternRequiredNullableDescription
event_idevent_idYevent_id path parameter.
cidcidYcid path parameter.

Returns​

return_parsed=True (default) — a tidy polars.DataFrame with the columns below; pass return_as_pandas=True for a pandas.DataFrame.

col_nametypedescription
$refString
attendanceInt64
boxscore_availableBoolean
bracket_availableBoolean
commentary_availableBoolean
competitorsString
conference_competitionBoolean
conversation_availableBoolean
dateString
division_competitionBoolean
gamecast_availableBoolean
guidString
highlights_availableBoolean
idInt64
lineup_availableBoolean
linksString
live_availableBoolean
necessaryBoolean
neutral_siteBoolean
notesString
on_watch_espnBoolean
pickcenter_availableBoolean
play_by_play_availableBoolean
possession_arrow_availableBoolean
preview_availableBoolean
recap_availableBoolean
recentBoolean
seriesString
shot_chart_availableBoolean
summary_availableBoolean
tickets_availableBoolean
time_validBoolean
timeouts_availableBoolean
uidString
wallclock_availableBoolean
boxscore_source_descriptionString
boxscore_source_idInt64
boxscore_source_stateString
broadcasts_$refString
details_$refString
format_overtime_clockFloat64
format_overtime_display_nameString
format_overtime_slugString
format_regulation_clockFloat64
format_regulation_display_nameString
format_regulation_periodsInt64
format_regulation_slugString
game_source_descriptionString
game_source_idInt64
game_source_stateString
linescore_source_descriptionString
linescore_source_idInt64
linescore_source_stateString
odds_$refString
officials_$refString
play_by_play_source_descriptionString
play_by_play_source_idInt64
play_by_play_source_stateString
power_indexes_$refString
predictor_$refString
probabilities_$refString
relevancy_$refString
situation_$refString
stats_source_descriptionString
stats_source_idInt64
stats_source_stateString
status_$refString
type_abbreviationString
type_idInt64
type_slugString
type_textString
type_typeString
venue_$refString
venue_address_cityString
venue_address_stateString
venue_full_nameString
venue_grassBoolean
venue_guidString
venue_idInt64
venue_imagesString
venue_indoorBoolean

return_parsed=False — the raw JSON Dict payload, unparsed.

Raises​

ExceptionDescription
NoDataErrorThe host answered 404 -- the requested resource does not exist.
ValueErrorThe host answered 400 / 422 -- the request is wrong; retrying cannot help.
AssetFetchErrorThe fetch failed (a non-2xx answer or a connection failure after retries, e.g. 401/403/429/5xx, or an empty or unreadable 200 body) -- the answer is unknown, not empty.

Example​

espn_wwc_game_competition(event_id='401584793')

espn_wwc_game_teams​

ESPN endpoint.

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/{event_id}/competitions/{cid}/competitors

Valid URL: https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/401584793/competitions/401584793/competitors

API ParameterPythonPatternRequiredNullableDescription
event_idevent_idYevent_id path parameter.
cidcidYcid path parameter.

Returns​

return_parsed=True (default) — a tidy polars.DataFrame with the columns below; pass return_as_pandas=True for a pandas.DataFrame.

col_nametypedescription
$refString
home_awayString
idInt64
orderInt64
typeString
uidString
winnerBoolean
leaders_$refString
linescores_$refString
record_$refString
roster_$refString
score_$refString
statistics_$refString
team_$refString
countInt64Total items in the ESPN collection across every page (the page envelope's count), the same on every row; more than the row count means this is one page of several (pass the wrapper's limit= or page=).
page_countInt64Pages the collection spans at the requested limit (the page envelope's pageCount), the same on every row; above 1 means rows are missing from this frame.

return_parsed=False — the raw JSON Dict payload, unparsed.

Raises​

ExceptionDescription
NoDataErrorThe host answered 404 -- the requested resource does not exist.
ValueErrorThe host answered 400 / 422 -- the request is wrong; retrying cannot help.
AssetFetchErrorThe fetch failed (a non-2xx answer or a connection failure after retries, e.g. 401/403/429/5xx, or an empty or unreadable 200 body) -- the answer is unknown, not empty.

Example​

espn_wwc_game_teams(event_id='401584793')

espn_wwc_game_team​

ESPN endpoint.

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/{event_id}/competitions/{cid}/competitors/{team_id}

Valid URL: https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/401584793/competitions/401584793/competitors/4

API ParameterPythonPatternRequiredNullableDescription
event_idevent_idYevent_id path parameter.
team_idteam_idYteam_id path parameter.
cidcidYcid path parameter.

Returns​

return_parsed=True (default) — a tidy polars.DataFrame with the columns below; pass return_as_pandas=True for a pandas.DataFrame.

col_nametypedescription
$refString
home_awayString
idInt64
orderInt64
typeString
uidString
winnerBoolean
leaders_$refString
linescores_$refString
record_$refString
roster_$refString
score_$refString
statistics_$refString
team_$refString

return_parsed=False — the raw JSON Dict payload, unparsed.

Raises​

ExceptionDescription
NoDataErrorThe host answered 404 -- the requested resource does not exist.
ValueErrorThe host answered 400 / 422 -- the request is wrong; retrying cannot help.
AssetFetchErrorThe fetch failed (a non-2xx answer or a connection failure after retries, e.g. 401/403/429/5xx, or an empty or unreadable 200 body) -- the answer is unknown, not empty.

Example​

espn_wwc_game_team(event_id='401584793', team_id='4')

espn_wwc_game_team_roster​

ESPN endpoint.

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/{event_id}/competitions/{cid}/competitors/{team_id}/roster

Valid URL: https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/401584793/competitions/401584793/competitors/4/roster

API ParameterPythonPatternRequiredNullableDescription
event_idevent_idYevent_id path parameter.
team_idteam_idYteam_id path parameter.
cidcidYcid path parameter.

Returns​

return_parsed=True (default) — a tidy polars.DataFrame with the columns below; pass return_as_pandas=True for a pandas.DataFrame.

col_nametypedescription
$refString
activeBoolean
starterBoolean
did_not_playBoolean
ejectedBoolean

return_parsed=False — the raw JSON Dict payload, unparsed.

Raises​

ExceptionDescription
NoDataErrorThe host answered 404 -- the requested resource does not exist.
ValueErrorThe host answered 400 / 422 -- the request is wrong; retrying cannot help.
AssetFetchErrorThe fetch failed (a non-2xx answer or a connection failure after retries, e.g. 401/403/429/5xx, or an empty or unreadable 200 body) -- the answer is unknown, not empty.

Example​

espn_wwc_game_team_roster(event_id='401584793', team_id='4')

espn_wwc_game_team_linescores​

ESPN endpoint.

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/{event_id}/competitions/{cid}/competitors/{team_id}/linescores

Valid URL: https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/401584793/competitions/401584793/competitors/4/linescores

API ParameterPythonPatternRequiredNullableDescription
event_idevent_idYevent_id path parameter.
team_idteam_idYteam_id path parameter.
cidcidYcid path parameter.

Returns​

return_parsed=True (default) — the output of parse_event_competitor_linescores; pass return_as_pandas=True for a pandas.DataFrame.

No returns table is published for this endpoint: no capture: the page holds zero items (count 0) in nba with the documented example arguments (2026-10-07).

return_parsed=False — the raw JSON Dict payload, unparsed.

Raises​

ExceptionDescription
NoDataErrorThe host answered 404 -- the requested resource does not exist.
ValueErrorThe host answered 400 / 422 -- the request is wrong; retrying cannot help.
AssetFetchErrorThe fetch failed (a non-2xx answer or a connection failure after retries, e.g. 401/403/429/5xx, or an empty or unreadable 200 body) -- the answer is unknown, not empty.

Example​

espn_wwc_game_team_linescores(event_id='401584793', team_id='4')

espn_wwc_game_team_statistics​

ESPN endpoint.

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/{event_id}/competitions/{cid}/competitors/{team_id}/statistics

Valid URL: https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/401584793/competitions/401584793/competitors/4/statistics

API ParameterPythonPatternRequiredNullableDescription
event_idevent_idYevent_id path parameter.
team_idteam_idYteam_id path parameter.
cidcidYcid path parameter.

Returns​

return_parsed=True (default) — a tidy polars.DataFrame with the columns below; pass return_as_pandas=True for a pandas.DataFrame.

col_nametypedescription
split_nameStringName of the stat split (Core v2 answers one, "All Splits").
category_nameStringESPN stat category of the row (e.g., "defensive", "general", "offensive").
stat_nameStringESPN stat key in camelCase (e.g., "blocks", "defensiveRebounds").
stat_abbreviationStringShort label of the stat (e.g., "BLK").
stat_valueFloat64Numeric value of the team's stat in this game.
stat_display_valueStringThe value as ESPN displays it (a string, e.g., "7").
stat_descriptionStringESPN's one-sentence definition of the stat.

return_parsed=False — the raw JSON Dict payload, unparsed.

Raises​

ExceptionDescription
NoDataErrorThe host answered 404 -- the requested resource does not exist.
ValueErrorThe host answered 400 / 422 -- the request is wrong; retrying cannot help.
AssetFetchErrorThe fetch failed (a non-2xx answer or a connection failure after retries, e.g. 401/403/429/5xx, or an empty or unreadable 200 body) -- the answer is unknown, not empty.

Example​

espn_wwc_game_team_statistics(event_id='401584793', team_id='4')

espn_wwc_game_team_record​

ESPN endpoint.

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/{event_id}/competitions/{cid}/competitors/{team_id}/record

Valid URL: https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/401584793/competitions/401584793/competitors/4/record

API ParameterPythonPatternRequiredNullableDescription
event_idevent_idYevent_id path parameter.
team_idteam_idYteam_id path parameter.
cidcidYcid path parameter.

Returns​

return_parsed=True (default) — the output of parse_single_entity; pass return_as_pandas=True for a pandas.DataFrame.

No returns table is published for this endpoint: no capture: 404 in nba, nfl, mlb, nhl, wnba, cfb, mbb, wbb with the documented example arguments (2026-10-07).

return_parsed=False — the raw JSON Dict payload, unparsed.

Raises​

ExceptionDescription
NoDataErrorThe host answered 404 -- the requested resource does not exist.
ValueErrorThe host answered 400 / 422 -- the request is wrong; retrying cannot help.
AssetFetchErrorThe fetch failed (a non-2xx answer or a connection failure after retries, e.g. 401/403/429/5xx, or an empty or unreadable 200 body) -- the answer is unknown, not empty.

Example​

espn_wwc_game_team_record(event_id='401584793', team_id='4')

espn_wwc_game_team_leaders​

ESPN endpoint.

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/{event_id}/competitions/{cid}/competitors/{team_id}/leaders

Valid URL: https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/401584793/competitions/401584793/competitors/4/leaders

API ParameterPythonPatternRequiredNullableDescription
event_idevent_idYevent_id path parameter.
team_idteam_idYteam_id path parameter.
cidcidYcid path parameter.

Returns​

return_parsed=True (default) — the output of parse_items; pass return_as_pandas=True for a pandas.DataFrame.

No returns table is published for this endpoint: parser: parse_items returns no columns on the live payload (nba, 2026-10-07); its rows sit under keys it does not read (top level: $ref, abbreviation, categories, id, name, type).

return_parsed=False — the raw JSON Dict payload, unparsed.

Raises​

ExceptionDescription
NoDataErrorThe host answered 404 -- the requested resource does not exist.
ValueErrorThe host answered 400 / 422 -- the request is wrong; retrying cannot help.
AssetFetchErrorThe fetch failed (a non-2xx answer or a connection failure after retries, e.g. 401/403/429/5xx, or an empty or unreadable 200 body) -- the answer is unknown, not empty.

Example​

espn_wwc_game_team_leaders(event_id='401584793', team_id='4')

espn_wwc_game_odds​

ESPN endpoint.

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/{event_id}/competitions/{cid}/odds

Valid URL: https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/401584793/competitions/401584793/odds

API ParameterPythonPatternRequiredNullableDescription
event_idevent_idYevent_id path parameter.
cidcidYcid path parameter.

Returns​

return_parsed=True (default) — a tidy polars.DataFrame with the columns below; pass return_as_pandas=True for a pandas.DataFrame.

col_nametypedescription
$refString
detailsString
moneyline_winnerBoolean
over_oddsFloat64
over_underFloat64
spreadFloat64
spread_winnerBoolean
under_oddsFloat64
away_team_odds_close_money_line_alternate_display_valueString
away_team_odds_close_money_line_americanString
away_team_odds_close_money_line_decimalFloat64
away_team_odds_close_money_line_display_valueString
away_team_odds_close_money_line_fractionString
away_team_odds_close_money_line_valueFloat64
away_team_odds_close_point_spread_alternate_display_valueString
away_team_odds_close_point_spread_americanString
away_team_odds_close_spread_alternate_display_valueString
away_team_odds_close_spread_americanString
away_team_odds_close_spread_decimalFloat64
away_team_odds_close_spread_display_valueString
away_team_odds_close_spread_fractionString
away_team_odds_close_spread_valueFloat64
away_team_odds_current_money_line_alternate_display_valueString
away_team_odds_current_money_line_americanString
away_team_odds_current_money_line_decimalFloat64
away_team_odds_current_money_line_display_valueString
away_team_odds_current_money_line_fractionString
away_team_odds_current_money_line_valueFloat64
away_team_odds_current_point_spread_alternate_display_valueString
away_team_odds_current_point_spread_americanString
away_team_odds_current_spread_alternate_display_valueString
away_team_odds_current_spread_americanString
away_team_odds_current_spread_decimalFloat64
away_team_odds_current_spread_display_valueString
away_team_odds_current_spread_fractionString
away_team_odds_current_spread_valueFloat64
away_team_odds_favoriteBoolean
away_team_odds_money_lineInt64
away_team_odds_open_favoriteBoolean
away_team_odds_open_money_line_alternate_display_valueString
away_team_odds_open_money_line_americanString
away_team_odds_open_money_line_decimalFloat64
away_team_odds_open_money_line_display_valueString
away_team_odds_open_money_line_fractionString
away_team_odds_open_money_line_valueFloat64
away_team_odds_open_point_spread_alternate_display_valueString
away_team_odds_open_point_spread_americanString
away_team_odds_open_spread_alternate_display_valueString
away_team_odds_open_spread_americanString
away_team_odds_open_spread_decimalFloat64
away_team_odds_open_spread_display_valueString
away_team_odds_open_spread_fractionString
away_team_odds_open_spread_valueFloat64
away_team_odds_spread_oddsFloat64
away_team_odds_team_$refString
away_team_odds_underdogBoolean
close_over_alternate_display_valueString
close_over_americanString
close_over_decimalFloat64
close_over_display_valueString
close_over_fractionString
close_over_valueFloat64
close_total_alternate_display_valueString
close_total_americanString
close_total_decimalFloat64
close_total_display_valueString
close_total_fractionString
close_total_valueFloat64
close_under_alternate_display_valueString
close_under_americanString
close_under_decimalFloat64
close_under_display_valueString
close_under_fractionString
close_under_valueFloat64
current_over_alternate_display_valueString
current_over_americanString
current_over_decimalFloat64
current_over_display_valueString
current_over_fractionString
current_over_valueFloat64
current_total_alternate_display_valueString
current_total_americanString
current_total_decimalFloat64
current_total_display_valueString
current_total_fractionString
current_total_valueFloat64
current_under_alternate_display_valueString
current_under_americanString
current_under_decimalFloat64
current_under_display_valueString
current_under_fractionString
current_under_valueFloat64
home_team_odds_close_money_line_alternate_display_valueString
home_team_odds_close_money_line_americanString
home_team_odds_close_money_line_decimalFloat64
home_team_odds_close_money_line_display_valueString
home_team_odds_close_money_line_fractionString
home_team_odds_close_money_line_valueFloat64
home_team_odds_close_point_spread_alternate_display_valueString
home_team_odds_close_point_spread_americanString
home_team_odds_close_point_spread_decimalFloat64
home_team_odds_close_point_spread_display_valueString
home_team_odds_close_point_spread_fractionString
home_team_odds_close_point_spread_valueFloat64
home_team_odds_close_spread_alternate_display_valueString
home_team_odds_close_spread_americanString
home_team_odds_close_spread_decimalFloat64
home_team_odds_close_spread_display_valueString
home_team_odds_close_spread_fractionString
home_team_odds_close_spread_valueFloat64
home_team_odds_current_money_line_alternate_display_valueString
home_team_odds_current_money_line_americanString
home_team_odds_current_money_line_decimalFloat64
home_team_odds_current_money_line_display_valueString
home_team_odds_current_money_line_fractionString
home_team_odds_current_money_line_valueFloat64
home_team_odds_current_point_spread_alternate_display_valueString
home_team_odds_current_point_spread_americanString
home_team_odds_current_point_spread_decimalFloat64
home_team_odds_current_point_spread_display_valueString
home_team_odds_current_point_spread_fractionString
home_team_odds_current_point_spread_valueFloat64
home_team_odds_current_spread_alternate_display_valueString
home_team_odds_current_spread_americanString
home_team_odds_current_spread_decimalFloat64
home_team_odds_current_spread_display_valueString
home_team_odds_current_spread_fractionString
home_team_odds_current_spread_valueFloat64
home_team_odds_favoriteBoolean
home_team_odds_money_lineInt64
home_team_odds_open_favoriteBoolean
home_team_odds_open_money_line_alternate_display_valueString
home_team_odds_open_money_line_americanString
home_team_odds_open_money_line_decimalFloat64
home_team_odds_open_money_line_display_valueString
home_team_odds_open_money_line_fractionString
home_team_odds_open_money_line_valueFloat64
home_team_odds_open_point_spread_alternate_display_valueString
home_team_odds_open_point_spread_americanString
home_team_odds_open_point_spread_decimalFloat64
home_team_odds_open_point_spread_display_valueString
home_team_odds_open_point_spread_fractionString
home_team_odds_open_point_spread_valueFloat64
home_team_odds_open_spread_alternate_display_valueString
home_team_odds_open_spread_americanString
home_team_odds_open_spread_decimalFloat64
home_team_odds_open_spread_display_valueString
home_team_odds_open_spread_fractionString
home_team_odds_open_spread_valueFloat64
home_team_odds_spread_oddsFloat64
home_team_odds_team_$refString
home_team_odds_underdogBoolean
open_over_alternate_display_valueString
open_over_americanString
open_over_decimalFloat64
open_over_display_valueString
open_over_fractionString
open_over_valueFloat64
open_total_alternate_display_valueString
open_total_americanString
open_total_decimalFloat64
open_total_display_valueString
open_total_fractionString
open_total_valueFloat64
open_under_alternate_display_valueString
open_under_americanString
open_under_decimalFloat64
open_under_display_valueString
open_under_fractionString
open_under_valueFloat64
provider_$refString
provider_idInt64
provider_nameString
provider_priorityInt64
prop_bets_$refString
countInt64Total items in the ESPN collection across every page (the page envelope's count), the same on every row; more than the row count means this is one page of several (pass the wrapper's limit= or page=).
page_countInt64Pages the collection spans at the requested limit (the page envelope's pageCount), the same on every row; above 1 means rows are missing from this frame.

return_parsed=False — the raw JSON Dict payload, unparsed.

Raises​

ExceptionDescription
NoDataErrorThe host answered 404 -- the requested resource does not exist.
ValueErrorThe host answered 400 / 422 -- the request is wrong; retrying cannot help.
AssetFetchErrorThe fetch failed (a non-2xx answer or a connection failure after retries, e.g. 401/403/429/5xx, or an empty or unreadable 200 body) -- the answer is unknown, not empty.

Example​

espn_wwc_game_odds(event_id='401584793')

espn_wwc_game_probabilities​

ESPN endpoint.

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/{event_id}/competitions/{cid}/probabilities

Valid URL: https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/401584793/competitions/401584793/probabilities?limit=300

API ParameterPythonPatternRequiredNullableDescription
event_idevent_idYevent_id path parameter.
cidcidYcid path parameter.
limitlimitYMaximum number of items to return.

Returns​

return_parsed=True (default) — a tidy polars.DataFrame with the columns below; pass return_as_pandas=True for a pandas.DataFrame.

col_nametypedescription
$refString
away_win_percentageFloat64
home_win_percentageFloat64
last_modifiedString
sequence_numberString
spread_cover_prob_homeFloat64
spread_push_probFloat64
tie_percentageFloat64
total_over_probFloat64
away_team_$refString
competition_$refString
home_team_$refString
play_$refString
source_descriptionString
source_idInt64
source_stateString
countInt64Total items in the ESPN collection across every page (the page envelope's count), the same on every row; more than the row count means this is one page of several (pass the wrapper's limit= or page=).
page_countInt64Pages the collection spans at the requested limit (the page envelope's pageCount), the same on every row; above 1 means rows are missing from this frame.

return_parsed=False — the raw JSON Dict payload, unparsed.

Raises​

ExceptionDescription
NoDataErrorThe host answered 404 -- the requested resource does not exist.
ValueErrorThe host answered 400 / 422 -- the request is wrong; retrying cannot help.
AssetFetchErrorThe fetch failed (a non-2xx answer or a connection failure after retries, e.g. 401/403/429/5xx, or an empty or unreadable 200 body) -- the answer is unknown, not empty.

Example​

espn_wwc_game_probabilities(event_id='401584793')

espn_wwc_game_plays​

ESPN endpoint.

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/{event_id}/competitions/{cid}/plays

Valid URL: https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/401584793/competitions/401584793/plays?limit=1000

API ParameterPythonPatternRequiredNullableDescription
event_idevent_idYevent_id path parameter.
cidcidYcid path parameter.
limitlimitYMaximum number of items to return.

Returns​

return_parsed=True (default) — a tidy polars.DataFrame with the columns below; pass return_as_pandas=True for a pandas.DataFrame.

col_nametypedescription
$refString
alternative_textString
away_scoreInt64
clock_display_valueString
clock_valueFloat64
coordinate_xInt64
coordinate_yInt64
home_scoreInt64
idInt64
modifiedString
period_display_valueString
period_numberInt64
points_attemptedInt64
priorityBoolean
probability_$refString
score_valueInt64
scoring_playBoolean
sequence_numberString
shooting_playBoolean
team_$refString
textString
type_idInt64
type_textString
validBoolean
wallclockString
short_alternative_textString
short_textString

return_parsed=False — the raw JSON Dict payload, unparsed.

Raises​

ExceptionDescription
NoDataErrorThe host answered 404 -- the requested resource does not exist.
ValueErrorThe host answered 400 / 422 -- the request is wrong; retrying cannot help.
AssetFetchErrorThe fetch failed (a non-2xx answer or a connection failure after retries, e.g. 401/403/429/5xx, or an empty or unreadable 200 body) -- the answer is unknown, not empty.

Example​

espn_wwc_game_plays(event_id='401584793')

espn_wwc_game_play​

ESPN endpoint.

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/{event_id}/competitions/{cid}/plays/{play_id}

Valid URL: https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/401584793/competitions/401584793/plays/1

API ParameterPythonPatternRequiredNullableDescription
event_idevent_idYevent_id path parameter.
play_idplay_idYplay_id path parameter.
cidcidYcid path parameter.

Returns​

return_parsed=True (default) — a tidy polars.DataFrame with the columns below; pass return_as_pandas=True for a pandas.DataFrame.

col_nametypedescription
$refString
alternative_textString
away_scoreInt64
home_scoreInt64
idInt64
modifiedString
participantsString
points_attemptedInt64
priorityBoolean
score_valueInt64
scoring_playBoolean
sequence_numberString
shooting_playBoolean
textString
validBoolean
wallclockString
clock_display_valueString
clock_valueFloat64
coordinate_xInt64
coordinate_yInt64
period_display_valueString
period_numberInt64
probability_$refString
team_$refString
type_idInt64
type_textString

return_parsed=False — the raw JSON Dict payload, unparsed.

Raises​

ExceptionDescription
NoDataErrorThe host answered 404 -- the requested resource does not exist.
ValueErrorThe host answered 400 / 422 -- the request is wrong; retrying cannot help.
AssetFetchErrorThe fetch failed (a non-2xx answer or a connection failure after retries, e.g. 401/403/429/5xx, or an empty or unreadable 200 body) -- the answer is unknown, not empty.

Example​

espn_wwc_game_play(event_id='401584793', play_id='1')

espn_wwc_game_play_personnel​

ESPN endpoint.

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/{event_id}/competitions/{cid}/plays/{play_id}/personnel

Valid URL: https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/401584793/competitions/401584793/plays/1/personnel

API ParameterPythonPatternRequiredNullableDescription
event_idevent_idYevent_id path parameter.
play_idplay_idYplay_id path parameter.
cidcidYcid path parameter.

Returns​

return_parsed=True (default) — the output of parse_items; pass return_as_pandas=True for a pandas.DataFrame.

No returns table is published for this endpoint: parser: parse_items returns no columns on the live payload (nba, 2026-10-07); its rows sit under keys it does not read (top level: $ref, playPersonnel).

return_parsed=False — the raw JSON Dict payload, unparsed.

Raises​

ExceptionDescription
NoDataErrorThe host answered 404 -- the requested resource does not exist.
ValueErrorThe host answered 400 / 422 -- the request is wrong; retrying cannot help.
AssetFetchErrorThe fetch failed (a non-2xx answer or a connection failure after retries, e.g. 401/403/429/5xx, or an empty or unreadable 200 body) -- the answer is unknown, not empty.

Example​

espn_wwc_game_play_personnel(event_id='401584793', play_id='1')

espn_wwc_game_situation​

ESPN endpoint.

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/{event_id}/competitions/{cid}/situation

Valid URL: https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/401584793/competitions/401584793/situation

API ParameterPythonPatternRequiredNullableDescription
event_idevent_idYevent_id path parameter.
cidcidYcid path parameter.

Returns​

return_parsed=True (default) — a tidy polars.DataFrame with the columns below; pass return_as_pandas=True for a pandas.DataFrame.

col_nametypedescription
$refString
away_fouls_bonus_stateString
away_fouls_fouls_to_giveInt64
away_fouls_team_foulsInt64
away_fouls_team_fouls_currentInt64
away_timeouts_timeouts_currentInt64
away_timeouts_timeouts_remaining_currentInt64
home_fouls_bonus_stateString
home_fouls_fouls_to_giveInt64
home_fouls_team_foulsInt64
home_fouls_team_fouls_currentInt64
home_timeouts_timeouts_currentInt64
home_timeouts_timeouts_remaining_currentInt64
last_play_$refString

return_parsed=False — the raw JSON Dict payload, unparsed.

Raises​

ExceptionDescription
NoDataErrorThe host answered 404 -- the requested resource does not exist.
ValueErrorThe host answered 400 / 422 -- the request is wrong; retrying cannot help.
AssetFetchErrorThe fetch failed (a non-2xx answer or a connection failure after retries, e.g. 401/403/429/5xx, or an empty or unreadable 200 body) -- the answer is unknown, not empty.

Example​

espn_wwc_game_situation(event_id='401584793')

espn_wwc_game_status​

ESPN endpoint.

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/{event_id}/competitions/{cid}/status

Valid URL: https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/401584793/competitions/401584793/status

API ParameterPythonPatternRequiredNullableDescription
event_idevent_idYevent_id path parameter.
cidcidYcid path parameter.

Returns​

return_parsed=True (default) — a tidy polars.DataFrame with the columns below; pass return_as_pandas=True for a pandas.DataFrame.

col_nametypedescription
$refString
clockFloat64
display_clockString
periodInt64
type_completedBoolean
type_descriptionString
type_detailString
type_idInt64
type_nameString
type_short_detailString
type_stateString

return_parsed=False — the raw JSON Dict payload, unparsed.

Raises​

ExceptionDescription
NoDataErrorThe host answered 404 -- the requested resource does not exist.
ValueErrorThe host answered 400 / 422 -- the request is wrong; retrying cannot help.
AssetFetchErrorThe fetch failed (a non-2xx answer or a connection failure after retries, e.g. 401/403/429/5xx, or an empty or unreadable 200 body) -- the answer is unknown, not empty.

Example​

espn_wwc_game_status(event_id='401584793')

espn_wwc_game_officials​

ESPN endpoint.

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/{event_id}/competitions/{cid}/officials

Valid URL: https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/401584793/competitions/401584793/officials

API ParameterPythonPatternRequiredNullableDescription
event_idevent_idYevent_id path parameter.
cidcidYcid path parameter.

Returns​

return_parsed=True (default) — a tidy polars.DataFrame with the columns below; pass return_as_pandas=True for a pandas.DataFrame.

col_nametypedescription
$refString
display_nameString
first_nameString
full_nameString
idInt64
last_nameString
orderInt64
position_display_nameString
position_idInt64
position_nameString
countInt64Total items in the ESPN collection across every page (the page envelope's count), the same on every row; more than the row count means this is one page of several (pass the wrapper's limit= or page=).
page_countInt64Pages the collection spans at the requested limit (the page envelope's pageCount), the same on every row; above 1 means rows are missing from this frame.

return_parsed=False — the raw JSON Dict payload, unparsed.

Raises​

ExceptionDescription
NoDataErrorThe host answered 404 -- the requested resource does not exist.
ValueErrorThe host answered 400 / 422 -- the request is wrong; retrying cannot help.
AssetFetchErrorThe fetch failed (a non-2xx answer or a connection failure after retries, e.g. 401/403/429/5xx, or an empty or unreadable 200 body) -- the answer is unknown, not empty.

Example​

espn_wwc_game_officials(event_id='401584793')

espn_wwc_game_broadcasts​

ESPN endpoint.

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/{event_id}/competitions/{cid}/broadcasts

Valid URL: https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/401584793/competitions/401584793/broadcasts

API ParameterPythonPatternRequiredNullableDescription
event_idevent_idYevent_id path parameter.
cidcidYcid path parameter.

Returns​

return_parsed=True (default) — a tidy polars.DataFrame with the columns below; pass return_as_pandas=True for a pandas.DataFrame.

col_nametypedescription
channelInt64
langString
partneredBoolean
priorityInt64
regionString
slugString
stationString
competition_$refString
market_idInt64
market_typeString
media_$refString
media_call_lettersString
media_idInt64
media_logosString
media_nameString
media_short_nameString
media_slugString
type_idInt64
type_long_nameString
type_short_nameString
type_slugString
countInt64Total items in the ESPN collection across every page (the page envelope's count), the same on every row; more than the row count means this is one page of several (pass the wrapper's limit= or page=).
page_countInt64Pages the collection spans at the requested limit (the page envelope's pageCount), the same on every row; above 1 means rows are missing from this frame.

return_parsed=False — the raw JSON Dict payload, unparsed.

Raises​

ExceptionDescription
NoDataErrorThe host answered 404 -- the requested resource does not exist.
ValueErrorThe host answered 400 / 422 -- the request is wrong; retrying cannot help.
AssetFetchErrorThe fetch failed (a non-2xx answer or a connection failure after retries, e.g. 401/403/429/5xx, or an empty or unreadable 200 body) -- the answer is unknown, not empty.

Example​

espn_wwc_game_broadcasts(event_id='401584793')

espn_wwc_game_predictor​

ESPN endpoint.

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/{event_id}/competitions/{cid}/predictor

Valid URL: https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/401584793/competitions/401584793/predictor

API ParameterPythonPatternRequiredNullableDescription
event_idevent_idYevent_id path parameter.
cidcidYcid path parameter.

Returns​

return_parsed=True (default) — a tidy polars.DataFrame with the columns below; pass return_as_pandas=True for a pandas.DataFrame.

col_nametypedescription
$refString
last_modifiedString
nameString
short_nameString
away_team_statisticsString
away_team_team_$refString
home_team_team_$refString

return_parsed=False — the raw JSON Dict payload, unparsed.

Raises​

ExceptionDescription
NoDataErrorThe host answered 404 -- the requested resource does not exist.
ValueErrorThe host answered 400 / 422 -- the request is wrong; retrying cannot help.
AssetFetchErrorThe fetch failed (a non-2xx answer or a connection failure after retries, e.g. 401/403/429/5xx, or an empty or unreadable 200 body) -- the answer is unknown, not empty.

Example​

espn_wwc_game_predictor(event_id='401584793')

espn_wwc_game_powerindex​

ESPN endpoint.

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/{event_id}/competitions/{cid}/powerindex

Valid URL: https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/401584793/competitions/401584793/powerindex

API ParameterPythonPatternRequiredNullableDescription
event_idevent_idYevent_id path parameter.
cidcidYcid path parameter.

Returns​

return_parsed=True (default) — a tidy polars.DataFrame with the columns below; pass return_as_pandas=True for a pandas.DataFrame.

col_nametypedescription
countInt64
itemsString
page_countInt64
page_indexInt64
page_sizeInt64

return_parsed=False — the raw JSON Dict payload, unparsed.

Raises​

ExceptionDescription
NoDataErrorThe host answered 404 -- the requested resource does not exist.
ValueErrorThe host answered 400 / 422 -- the request is wrong; retrying cannot help.
AssetFetchErrorThe fetch failed (a non-2xx answer or a connection failure after retries, e.g. 401/403/429/5xx, or an empty or unreadable 200 body) -- the answer is unknown, not empty.

Example​

espn_wwc_game_powerindex(event_id='401584793')

espn_wwc_game_propbets​

ESPN endpoint.

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/{event_id}/competitions/{cid}/propbets

Valid URL: https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/401584793/competitions/401584793/propbets

API ParameterPythonPatternRequiredNullableDescription
event_idevent_idYevent_id path parameter.
cidcidYcid path parameter.

Returns​

return_parsed=True (default) — the output of parse_items; pass return_as_pandas=True for a pandas.DataFrame.

No returns table is published for this endpoint: no capture: 404 in nba, nfl, mlb, nhl, wnba, cfb, mbb, wbb with the documented example arguments (2026-10-07).

return_parsed=False — the raw JSON Dict payload, unparsed.

Raises​

ExceptionDescription
NoDataErrorThe host answered 404 -- the requested resource does not exist.
ValueErrorThe host answered 400 / 422 -- the request is wrong; retrying cannot help.
AssetFetchErrorThe fetch failed (a non-2xx answer or a connection failure after retries, e.g. 401/403/429/5xx, or an empty or unreadable 200 body) -- the answer is unknown, not empty.

Example​

espn_wwc_game_propbets(event_id='401584793')

espn_wwc_game_leaders​

ESPN endpoint.

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/{event_id}/competitions/{cid}/leaders

Valid URL: https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/401584793/competitions/401584793/leaders

API ParameterPythonPatternRequiredNullableDescription
event_idevent_idYevent_id path parameter.
cidcidYcid path parameter.

Returns​

return_parsed=True (default) — the output of parse_items; pass return_as_pandas=True for a pandas.DataFrame.

No returns table is published for this endpoint: no capture: 404 in nfl, mlb, nhl, wnba, cfb, mbb, wbb; 400 in nba with the documented example arguments (2026-10-07).

return_parsed=False — the raw JSON Dict payload, unparsed.

Raises​

ExceptionDescription
NoDataErrorThe host answered 404 -- the requested resource does not exist.
ValueErrorThe host answered 400 / 422 -- the request is wrong; retrying cannot help.
AssetFetchErrorThe fetch failed (a non-2xx answer or a connection failure after retries, e.g. 401/403/429/5xx, or an empty or unreadable 200 body) -- the answer is unknown, not empty.

Example​

espn_wwc_game_leaders(event_id='401584793')

espn_wwc_game_scoringplays​

ESPN endpoint.

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/{event_id}/competitions/{cid}/scoringplays

Valid URL: https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/401584793/competitions/401584793/scoringplays

API ParameterPythonPatternRequiredNullableDescription
event_idevent_idYevent_id path parameter.
cidcidYcid path parameter.

Returns​

return_parsed=True (default) — the output of parse_items; pass return_as_pandas=True for a pandas.DataFrame.

No returns table is published for this endpoint: no capture: 404 in nba, nfl, mlb, nhl, wnba, cfb, mbb, wbb with the documented example arguments (2026-10-07).

return_parsed=False — the raw JSON Dict payload, unparsed.

Raises​

ExceptionDescription
NoDataErrorThe host answered 404 -- the requested resource does not exist.
ValueErrorThe host answered 400 / 422 -- the request is wrong; retrying cannot help.
AssetFetchErrorThe fetch failed (a non-2xx answer or a connection failure after retries, e.g. 401/403/429/5xx, or an empty or unreadable 200 body) -- the answer is unknown, not empty.

Example​

espn_wwc_game_scoringplays(event_id='401584793')

espn_wwc_game_official_detail​

ESPN endpoint.

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/{event_id}/competitions/{cid}/officials/{official_id}

Valid URL: https://sports.core.api.espn.com/v2/sports/soccer/leagues/fifa.wwc/events/401584793/competitions/401584793/officials/1

API ParameterPythonPatternRequiredNullableDescription
event_idevent_idYevent_id path parameter.
official_idofficial_idYofficial_id path parameter.
cidcidYcid path parameter.

Returns​

return_parsed=True (default) — a tidy polars.DataFrame with the columns below; pass return_as_pandas=True for a pandas.DataFrame.

col_nametypedescription
$refString
display_nameString
first_nameString
full_nameString
idInt64
last_nameString
orderInt64
position_display_nameString
position_idInt64
position_nameString

return_parsed=False — the raw JSON Dict payload, unparsed.

Raises​

ExceptionDescription
NoDataErrorThe host answered 404 -- the requested resource does not exist.
ValueErrorThe host answered 400 / 422 -- the request is wrong; retrying cannot help.
AssetFetchErrorThe fetch failed (a non-2xx answer or a connection failure after retries, e.g. 401/403/429/5xx, or an empty or unreadable 200 body) -- the answer is unknown, not empty.

Example​

espn_wwc_game_official_detail(event_id='401584793', official_id='1')